summaryrefslogtreecommitdiffstats
path: root/initscript/Debian/15avahi.in
diff options
context:
space:
mode:
Diffstat (limited to 'initscript/Debian/15avahi.in')
-rwxr-xr-xinitscript/Debian/15avahi.in77
1 files changed, 77 insertions, 0 deletions
diff --git a/initscript/Debian/15avahi.in b/initscript/Debian/15avahi.in
new file mode 100755
index 0000000..73a0c73
--- /dev/null
+++ b/initscript/Debian/15avahi.in
@@ -0,0 +1,77 @@
+#! /bin/sh
+#
+# avahi avahi daemon
+# Daemon for ZeroConf
+#
+# Authors: <sebastien.estienne@gmail.com>
+#
+
+. /lib/lsb/init-functions
+
+set -e
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Avahi ZeroConf daemon"
+NAME="avahi"
+DAEMON=/usr/bin/$NAME
+PIDDIR=/var/run/$NAME
+PIDFILE=$PIDDIR/$NAME.pid
+DAEMONUSER=@AVAHI_USER@
+DAEMONGRP=@AVAHI_GROUP@
+
+
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+#
+# Function that starts the daemon/service.
+#
+d_start() {
+ if [ ! -d $PIDDIR ]; then
+ mkdir -p $PIDDIR
+ fi
+ chown -R $DAEMONUSER:$DAEMONGRP $PIDDIR
+
+ start-stop-daemon --start \
+ --background --chuid $DAEMONUSER \
+ -m --pidfile $PIDFILE \
+ --exec $DAEMON -- $DAEMON_OPTS
+
+}
+
+#
+# Function that stops the daemon/service.
+#
+d_stop() {
+ start-stop-daemon --stop --oknodo --quiet --pidfile $PIDFILE \
+ --exec $DAEMON
+
+}
+
+
+case "$1" in
+ start)
+ log_begin_msg "Starting $DESC: $NAME"
+ d_start
+ log_end_msg $?
+ ;;
+ stop)
+ log_begin_msg "Stopping $DESC: $NAME"
+ d_stop
+ log_end_msg $?
+ ;;
+ restart|force-reload)
+ log_begin_msg "Restarting $DESC: $NAME"
+ d_stop
+ sleep 1
+ d_start
+ log_end_msg $?
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0